From 2362007e04214cba186ac8b4ca58e05bf52061a0 Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Sat, 28 Aug 2021 14:58:19 -0400
Subject: [PATCH 1/2] m1n1.fw.dcp: Implement get_calendar_time_ms

Queries the current time since the Unix epoch in milliseconds, used by
the DCP for who knows what.

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 proxyclient/m1n1/fw/dcp/manager.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/proxyclient/m1n1/fw/dcp/manager.py b/proxyclient/m1n1/fw/dcp/manager.py
index 1daa1af..3a974c8 100644
--- a/proxyclient/m1n1/fw/dcp/manager.py
+++ b/proxyclient/m1n1/fw/dcp/manager.py
@@ -1,5 +1,6 @@
 # SPDX-License-Identifier: MIT
 import struct, functools
+import time
 from dataclasses import dataclass
 from enum import IntEnum
 
@@ -253,3 +254,6 @@ class DCPManager(DCPBaseManager):
         self.mapid += 1
         return self.mapid
 
+    def get_calendar_time_ms(self):
+        # Seconds since the unix epoch
+        return int(time.time() * 1000)
-- 
2.30.2

From c34076ef4613f549c9420507175a462d1d989a6b Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Sat, 28 Aug 2021 15:08:53 -0400
Subject: [PATCH 2/2] m1n1.fw.dcp: Stub hotPlug_notify_gated

We probably need to make some additional callbacks here to get the
display to come up, but at least this fixes the crashing with
HDMI hotplugging.

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 proxyclient/m1n1/fw/dcp/manager.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/proxyclient/m1n1/fw/dcp/manager.py b/proxyclient/m1n1/fw/dcp/manager.py
index 3a974c8..1438354 100644
--- a/proxyclient/m1n1/fw/dcp/manager.py
+++ b/proxyclient/m1n1/fw/dcp/manager.py
@@ -257,3 +257,6 @@ class DCPManager(DCPBaseManager):
     def get_calendar_time_ms(self):
         # Seconds since the unix epoch
         return int(time.time() * 1000)
+
+    def hotPlug_notify_gated(self, unk0):
+        print(f"hotPlug_notify_gated hex({unk0})")
-- 
2.30.2

